Windows XP

Discussion in 'AutoCAD' started by Bob, Sep 21, 2004.

  1. Bob

    Bob Guest

    I am having trouble with xp and the following lisp routine:
     
    Bob, Sep 21, 2004
    #1
  2. Bob

    Bob Guest

    Sorry hit send instead of paste
    This is the routine

    (defun c:bf ()
    (setq getline (ssget))
    (command "break" getline "f")
    )

    This works on 2k, not xp
     
    Bob, Sep 21, 2004
    #2
  3. Bob

    Jim Claypool Guest

    No that won't work anywhere.
    (setq getline (ssget)) produces a selection set nit an entity.
    (setq getline (car (entsel))) wil give you the entity name taht you need.
     
    Jim Claypool, Sep 21, 2004
    #3
  4. Bob

    Don Butler Guest

    Try this...

    (defun c:bf (/ ss)
    (while
    (or
    (not ss)
    (= 52 (getvar "errno"))
    )
    (setvar "errno" 0)
    (setq ss (ssget "+.:E:S" (list (cons 0 "LINE"))))
    )
    (if ss (vl-cmdf "._break" (ssname ss 0) "f"))
    )

    Don
     
    Don Butler, Sep 21, 2004
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.